Page MenuHomePhabricator

ORES stability
Closed, ResolvedPublic

Description

ORES workers are going down periodically.

  1. https://github.com/wiki-ai/ores/pull/78 -- Performance improvements (single-request special case).
  2. https://github.com/wiki-ai/ores/pull/85 -- Registers known errors. Makes it easier to read logs. (and fixes a missing timeout in a celery async get())
  3. https://github.com/mediawiki-utilities/python-mwapi/pull/16 -- Adds timeout param to API queries
  4. @yuvipanda did something to tell redis to send TCPKeepalives

Event Timeline

Halfak created this task.Sep 11 2015, 4:40 PM
Halfak raised the priority of this task from to Needs Triage.
Halfak updated the task description. (Show Details)
Halfak moved this task to Backlog on the Scoring-platform-team (Current) board.
Halfak added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2015, 4:40 PM
Halfak updated the task description. (Show Details)Sep 14 2015, 3:13 PM
Halfak set Security to None.
Halfak added a subscriber: yuvipanda.
Halfak claimed this task.Sep 17 2015, 10:36 PM
Halfak moved this task from Backlog to Done on the Scoring-platform-team (Current) board.
Halfak closed this task as Resolved.Sep 19 2015, 4:14 PM